export interface DiffFile {
    deleted: string[];
    addedEdited: string[];
}
export default class DiffUtil {
    private revisionFrom?;
    private revisionTo?;
    constructor(revisionFrom?: string, revisionTo?: string);
    build(diffFilePath: string, encoding: string, outputFolder: string): Promise<DiffFile>;
    parseContent(fileContents: any): DiffFile;
    copyFile(filePath: string, outputFolder: string): void;
    createDestructiveChanges(filePaths: string[], outputFolder: string): Promise<void>;
    writeDestructivechanges(destrucObj: Array<any>, outputFolder: string, fileName: string): void;
    isFormularField(filePath: string): Promise<boolean>;
    getDeletedGitFileContent(filePath: string): Promise<string>;
    execShelCommand(command: string): Promise<string>;
    private buildDestructiveTypeObj;
}
